"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const coreutils_1 = require("@phosphor/coreutils");
const scales = require(".");
const base_1 = require("@jupyter-widgets/base");
require("../styles/plugin.css");
const EXTENSION_ID = 'jupyter.extensions.jupyter-scales';
/**
 * The token identifying the JupyterLab plugin.
 */
exports.IJupyterScales = new coreutils_1.Token(EXTENSION_ID);
;
/**
 * The notebook diff provider.
 */
const scalesProvider = {
    id: EXTENSION_ID,
    requires: [base_1.IJupyterWidgetRegistry],
    activate: activateWidgetExtension,
    autoStart: true
};
exports.default = scalesProvider;
/**
 * Activate the widget extension.
 */
function activateWidgetExtension(app, widgetsManager) {
    widgetsManager.registerWidget({
        name: 'jupyter-scales',
        version: scales.version,
        exports: scales,
    });
    return {};
}
//# sourceMappingURL=plugin.js.map