import { DOMWidgetModel, DOMWidgetView, unpack_models, WidgetModel } from '@jupyter-widgets/base';
/**
 * Base model for scales
 */
export declare abstract class SelectorBaseModel extends DOMWidgetModel {
    defaults(): any;
    abstract getLabels(): string[];
    abstract selectedLabel: string | null;
    static serializers: {
        [x: string]: {
            deserialize?: ((value?: any, manager?: import("@jupyter-widgets/base").ManagerBase<any> | undefined) => any) | undefined;
            serialize?: ((value?: any, widget?: WidgetModel | undefined) => any) | undefined;
        };
    };
    static model_name: string;
    static model_module: any;
    static model_module_version: any;
    static view_name: null;
    static view_module: any;
    static view_module_version: any;
}
/**
 * A widget model of a linear scale
 */
export declare class StringDropdownModel extends SelectorBaseModel {
    defaults(): any;
    getLabels(): string[];
    selectedLabel: string | null;
    static serializers: {
        [x: string]: {
            deserialize?: ((value?: any, manager?: import("@jupyter-widgets/base").ManagerBase<any> | undefined) => any) | undefined;
            serialize?: ((value?: any, widget?: WidgetModel | undefined) => any) | undefined;
        };
    };
    static model_name: string;
}
declare type WidgetMap = {
    [key: string]: WidgetModel;
};
/**
 * A widget model of a linear scale
 */
export declare class WidgetDropdownModel extends SelectorBaseModel {
    defaults(): any;
    initialize(attributes: any, options: any): void;
    setupListeners(): void;
    updateReverse(model: WidgetModel, value: WidgetMap, options?: any): void;
    getLabels(): string[];
    selectedLabel: string | null;
    protected reverseMap: {
        [key: string]: string;
    };
    static serializers: {
        value: {
            deserialize: typeof unpack_models;
        };
        options: {
            deserialize: typeof unpack_models;
        };
    };
    static model_name: string;
}
export declare class DropdownView extends DOMWidgetView {
    /**
     * Public constructor.
     */
    initialize(parameters: any): void;
    onModelChange(model: SelectorBaseModel, options?: any): void;
    /**
     * Called when view is rendered.
     */
    render(): void;
    /**
     * Update the contents of this view
     */
    update(): void;
    protected _updateOptions(labels: string[]): void;
    events(): {
        [e: string]: string;
    };
    /**
     * Handle when a new value is selected.
     */
    _handle_change(): void;
    listbox: HTMLSelectElement;
    model: SelectorBaseModel;
    _current_options: string[];
}
export {};
